Bug 3474 - Handling of and report for expired or cancelled holds, display expiration dates
Summary: Handling of and report for expired or cancelled holds, display expiration dates
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Reports (show other bugs)
Version: master
Hardware: PC All
: P5 - low enhancement (vote)
Assignee: Galen Charlton
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-08-02 05:38 UTC by Jane Wagner
Modified: 2015-12-03 22:00 UTC (History)
5 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Expired holds report screenshot (48.97 KB, image/jpeg)
2009-08-02 17:38 UTC, Chris Cormack
Details
Hold expiration date OPAC display (43.51 KB, image/jpeg)
2009-08-02 17:38 UTC, Chris Cormack
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 01:11:06 UTC


---- Reported by jwagner@ptfs.com 2009-08-02 17:38:00 ----

Created an attachment
Expired holds report screenshot

Sponsored by East Brunswick Public Library, East Brunswick, NJ, USA.

Library staff needed a report of expired or cancelled holds to help clean the holds shelf.  While developing this, we realized that Koha had no mechanism to move naturally-expired holds to the old_reserves table.  Holds that are actively cancelled get moved, but holds that expire after the period calculated from the ReservesMaxPickUpDelay syspref stay in the active reserves table.  We added a field named expirationdate to reserves and old_reserves.  When a hold is triggered, its expiration date is calculated from the syspref and written to this field.  A nightly cron job script looks for expired holds based on this field and moves them from reserves to old_reserves.

The new report Expired Holds checks for expired holds; output can be specified by patron name or date.

We have also done screen changes to show the hold expiration date in both staff and OPAC hold displays.



---- Additional Comments From jwagner@ptfs.com 2009-08-02 17:38:36 ----

Created an attachment
Hold expiration date OPAC display





---- Additional Comments From gmcharlt@gmail.com 2010-05-10 22:38:21 ----

Expiration dates for hold requests were added in the port of the dev_week holds enhancements (http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=1532).  Consequently, the PTFS http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=3474 branch will need to be merged against master before the other changes to the hold expiration report and OPAC display can be pulled.



--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 01:11 UTC  ---

This bug was previously known as _bug_ 3474 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=3474
Imported an attachment (id=1337)
Imported an attachment (id=1338)

Unknown operating system Windows 2000. Setting to default OS "All".
Actual time not defined. Setting to 0.0
The original reporter of this bug does not have
   an account here. Reassigning to the person who moved
   it here: chris@bigballofwax.co.nz.
   Previous reporter was jwagner@ptfs.com.
The original assignee of this bug does not have
   an account here. Reassigning to the default assignee
   for the component, gmcharlt@gmail.com.
   Previous assignee was kohaprogrammers@ptfs.com.
CC member bchurch@ptfs.com does not have an account here
The original submitter of attachment 1337 [details] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.
The original submitter of attachment 1338 [details] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.

Comment 1 MJ Ray (software.coop) 2013-01-16 16:05:16 UTC
There's a report for cancelled holds at http://wiki.koha-community.org/wiki/SQL_Reports_Library#Cancelled_Holds and there's now a expirationdate column in reserves and old_reserves, so I think a similar report for expired holds could be written.

I think this is current and doesn't need any further code changes, so I'm moving this from rel_3_0 / Hold requests to master / Reports.
Comment 2 Katrin Fischer 2015-03-16 10:42:50 UTC
There is a cronjob as well to cancel expired holds.